org.codehaus.plexus.maven.plugin

## Class AbstractDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  PlexusDescriptorMojo, PlexusTestDescriptorMojo

    public abstract class AbstractDescriptorMojo
    extends org.apache.maven.plugin.AbstractMojo

Since:
  1.3.4
Author:
  Rahul Thakur

### Field Summary

Fields
`protected static String` `COMPILE_SCOPE`
`protected String` `fileName`
`protected org.slf4j.Logger` `log`
`protected static String` `TEST_SCOPE`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDescriptorMojo()`

### Method Summary

Methods
`protected void` `generateDescriptor(String scope, File outputFile)`
`protected org.apache.maven.project.MavenProject` `getMavenProject()`
`protected org.apache.maven.project.MavenProjectHelper` `getMavenProjectHelper()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.plugin.Mojo

`execute`

### Field Detail

#### COMPILE_SCOPE

    protected static final String COMPILE_SCOPE

See Also:
  Constant Field Values

#### TEST_SCOPE

    protected static final String TEST_SCOPE

See Also:
  Constant Field Values

#### log

    protected final org.slf4j.Logger log

#### fileName

    protected String fileName

### Constructor Detail

#### AbstractDescriptorMojo

    public AbstractDescriptorMojo()

### Method Detail

#### getMavenProject

    protected org.apache.maven.project.MavenProject getMavenProject()

#### getMavenProjectHelper

    protected org.apache.maven.project.MavenProjectHelper getMavenProjectHelper()

#### generateDescriptor

    protected void generateDescriptor(String scope,
                          File outputFile)
                               throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`